LibreOffice LibreOffice 24.2 SDK C/C++ API Reference

Loading...
Searching...
No Matches
Public Member Functions | Friends | List of all members
cppu::PropertySetMixinImpl::BoundListeners Class Reference

A class used by subclasses of `cppu::PropertySetMixin` when implementing UNO interface type attribute setter functions. More...

`#include <propertysetmixin.hxx>`

## Public Member Functions
| BoundListeners ()
| The constructor.
| ~BoundListeners ()
| The destructor.
void | notify () const
| Notifies any `css::beans::XPropertyChangeListener`s.

## Friends
class | PropertySetMixinImpl

## Detailed Description

A class used by subclasses of `cppu::PropertySetMixin` when implementing UNO interface type attribute setter functions.

This class is not thread safe; that is, the constructor, `notify`, and the destructor must be called from the same thread.

See `cppu::PropertySetMixinImpl::prepareSet` for further details.

## Constructor & Destructor Documentation

## ◆ BoundListeners()

cppu::PropertySetMixinImpl::BoundListeners::BoundListeners | ( |  | ) |

The constructor.

May throw `std::bad_alloc`.

## ◆ ~BoundListeners()

cppu::PropertySetMixinImpl::BoundListeners::~BoundListeners | ( |  | ) |

The destructor.

Does not throw.

## Member Function Documentation

## ◆ notify()

void cppu::PropertySetMixinImpl::BoundListeners::notify | ( |  | ) | const

Notifies any `css::beans::XPropertyChangeListener`s.

May throw `css::uno::RuntimeException` and `std::bad_alloc`.

See `cppu::PropertySetMixinImpl::prepareSet` for further details.

## Friends And Related Symbol Documentation

## ◆ PropertySetMixinImpl

friend class PropertySetMixinImpl
| friend

The documentation for this class was generated from the following file:

- cppuhelper/propertysetmixin.hxx